EDIT - feature request #7695

web service providing compact TypeDesignation representation for homotypic groups and individual
taxa

08/28/2018 09:10 AM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 30%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description

The webservice path:

. /name/{uuid}/homotypicGroupTyp_eDesignationsDTO --> returns a TaggedText List and
/name/{uuid}/homotypicGroupTypeDesignations returns a list of TypeDesignations

rejected

implementation of the controller method:

1. get all typedesignations of all names in the homotypic group to which the taxon belongs

2. pass the typedesignations to the TypeDesignationSetManager constructor TypeDesignationSetManager(Collection
typeDesignations)

3. return toTaggedText()

IMPORTANT: NameTypeDesignations are to be handled on name basis not on homotypic group basis in outputs, see #9317

TODO:

¢ handle TextualTypeDesignation, see #7695#note-18
® solve open issue named in #7695#note-4

Related issues:

Related to EDIT - feature request #6718: Constistent TypeDesignation represen... Duplicate

Related to EDIT - feature request #7700: use TypeDesignationSetManager for cr... Closed

Related to EDIT - feature request #9279: Improve type designation formatting ... Closed

Related to EDIT - bug #9317: Handle NameTypeDesignations on name basis not on... In Progress

Related to EDIT - feature request #9596: Open issues for TypeDesignationWorki... In Progress

Related to EDIT - bug #9967: Show "not designated" for type designations in d... Closed 03/11/2022 03/22/2022
Blocked by EDIT - task #7553: move TypeDesignationSetManagerIT to cdmlib Closed

Precedes EDIT - feature request #7696: use compact type representations in th... Resolved

Copied to EDIT - feature request #7863: /homotypicGroup/{uuid}/homotypicGroup... New

Associated revisions

Revision 0f793f18 - 08/28/2018 10:45 AM - Andreas Kohlbecker

ref #7695 initial implementation of the /name/{uuid}/homotypicGroupTypeDesignationsDTO webservice - with problems

Revision bdbc6f1d - 03/28/2024 10:58 PM - Andreas Miiller
ref #461, ref 10322, ref #7695 do not handle >1 typified names as error in typeDesignationSetContainer

History

#1 - 08/28/2018 09:20 AM - Andreas Kohlbecker
- Precedes feature request #7696: use compact type representations in the synonymy as provided by the typedesignations/by Taxon/{taxon_uuid}
service added

#2 - 08/28/2018 09:21 AM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/9317
https://dev.e-taxonomy.eu/redmine/issues/7695#note-18
https://dev.e-taxonomy.eu/redmine/issues/7695#note-4

- Related to feature request #6718: Constistent TypeDesignation representation creation added

#3 - 08/28/2018 10:28 AM - Andreas Kohlbecker
- Description updated

changing the controller endpoint to /name/{uuid}/homotypicGroupTypeDesignationsDTO, issue description updated.

#4 - 08/28/2018 11:09 AM - Andreas Kohlbecker

The TypeDesignationSetManager needs to be modified, so that it can be used for multiple usecases. By default it validates the typified names for
consistency which only makes sense in the context of Registrations:

eu.etaxonomy.cdm.api.service.exception.RegistrationValidationException: Inconsistent type designations - Probl
ems:— Multiple typifiedName in SpecimenTypeDesignation#46<79b05729-27b3-4f81l-aaf4-0e51d5bcala6>|- Multiple typ
ifiedName in SpecimenTypeDesignation#48<2lel6eb9-11c8-40a6-aad9-af63al3adc2e7>|- Multiple typifiedName in Speci
menTypeDesignation#49<a7b518b8-56c8-413b-8alc-27b00a6851e3>|—- Multiple typifiedName in SpecimenTypeDesignation
#50<20e1£899-7135-488d-b44d-64ccafcl4268>|~- Multiple typifiedName in SpecimenTypeDesignation#47<66708678-eebb—
4fe0-8938-4dc8b8f6£233>| - Multiple typifiedName in SpecimenTypeDesignation#51<4bb431e9-0a86-47e2-b5f9-53edblla
964a>|- Multiple typifiedName in SpecimenTypeDesignation#52<b56ee7lc-e842-4£28-9c44-5157dcd522cc> |~ Multiple t
ypifiedName in SpecimenTypeDesignation#53<af89b6d8-89e2-4a4f-864a-49b63e83cdae>|~ Multiple typifiedName in Spe
cimenTypeDesignation#54<bf0fc5£6-0593-4f44-ae45-7b5c2007a688> |

at

eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.findTypifiedName (TypeDesignationSetManager.

java:393)

at
at
145)
at
at
at

eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.<init> (TypeDesignationSetManager. java:114)
eu.etaxonomy.cdm.remote.controller.NameController.doHomotypicGroupTypeDesignations (NameController. java:

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

1. This validation needs to be optional, see findTypifiedName()
2. The properties typifiedName and typifiedNameRef only make sense in the context of registrations

#5 - 08/29/2018 09:21 AM - Andreas Miiller

- Status changed from New to In Progress

| wonder if we should really require a single name uuid as obligatory input parameter. The semantics of the service should be

® input: homotypicGroup uuid
e output: formatted type designations for the given group as TaggedText and maybe some additional information

The requirement to also have some name uuid as input is not necessary.

#6 - 08/29/2018 02:00 PM - Andreas Miiller

- Related to feature request #7700: use TypeDesignationSetManager for creating typedesignation string in cdmlightExport added

#7 - 08/30/2018 02:40 PM - Andreas Kohlbecker
- Blocked by task #7553: move TypeDesignationSetManagerIT to cdmlib added

#8 - 09/17/2018 11:46 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#9 - 10/24/2018 03:15 PM - Andreas Kohlbecker

Andreas Muller wrote:

| wonder if we should really require a single name uuid as obligatory input parameter. The semantics of the service should be

® input: homotypicGroup uuid
¢ output: formatted type designations for the given group as TaggedText and maybe some additional information

The requirement to also have some name uuid as input is not necessary.

In a past discussion during a standup of the whole edit developer team, we came to the conclusion that it is useful to keep the name uuid as
parameter but to also add the homotypicGroup uuid as additional parameter.

#10 - 10/24/2018 03:20 PM - Andreas Kohlbecker
currently we don't have a web service controller with /homotypicGroup/ as base path. This would be a requirement for the above feature request. | will
copy the feature request to a new ticket ...

#11 - 10/24/2018 03:23 PM - Andreas Kohlbecker
- Copied to feature request #7863: /homotypicGroup/{uuid}/homotypicGroup TypeDesignationsDTO webservice implemented added

#12 - 10/24/2018 03:27 PM - Andreas Kohlbecker
- Status changed from In Progress to Feedback
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- % Done changed from 0 to 30

... #7863

the last open issue regarding this is mentioned in #7695#note-4
who needs this and will continue the work?

#13 - 10/24/2018 05:25 PM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#14 - 01/28/2019 10:55 AM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Andreas Muiller to Katja Luther

Katja, you already have worked on the type designation manager. Could you have a look on the open issue?

#15 - 01/29/2019 01:42 PM - Katja Luther

- Target version changed from Release 5.5 to Release 5.6

yes, but | move it to the next release.

#16 - 02/19/2019 02:49 PM - Andreas Miiller

- Status changed from Resolved to In Progress

#17 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#18 - 09/11/2019 09:00 AM - Andreas Kohlbecker

- Assignee changed from Katja Luther to Andreas Kohlbecker

The TextualTypeDesignation also need to be handled by the TypeDesignationSetManager currently the controller method gets all type designations
for a taxon name and passes this list to the TypeDesignationSetManager. This list can also include  TextualTypeDesignations:

TypeDesignationSetManager manager = new TypeDesignationSetManager (typeDesignations);
return manager.toTaggedText () ;

#19 - 09/11/2019 09:03 AM - Andreas Kohlbecker

- Description updated

#20 - 09/11/2019 09:05 AM - Andreas Kohlbecker

- Target version changed from Reviewed Next Major Release to Release 5.10

moving to release 5.10 as this is prerequisite for #7696

#21 - 09/20/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#22 - 11/04/2019 04:36 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12
https://dev.e-taxonomy.eu/redmine/issues/7863
https://dev.e-taxonomy.eu/redmine/issues/7695#note-4
https://dev.e-taxonomy.eu/redmine/issues/7696

#23 - 01/16/2020 11:55 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#24 - 03/16/2020 04:10 PM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#25 - 04/08/2020 05:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.14 to Release 5.15

#26 - 06/09/2020 05:56 PM - Andreas Kohlbecker

- Target version changed from Release 5.15 to Release 5.18

#27 - 11/30/2020 01:27 PM - Andreas Kohlbecker
- Related to feature request #9279: Improve type designation formatting and TypeDesignationSetManager added

#28 - 11/30/2020 01:51 PM - Andreas Kohlbecker
- Description updated

#29 - 11/30/2020 01:51 PM - Andreas Kohlbecker

- Related to bug #9317: Handle Name TypeDesignations on name basis not on homotypic group basis in outputs added

#30 - 11/30/2020 01:52 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#31 - 01/29/2021 11:22 AM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#32 - 03/10/2021 03:30 PM - Andreas Kohlbecker

- Target version changed from Release 5.21 to Release 5.22

#33 - 04/20/2021 11:06 AM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46

#34 - 04/30/2021 08:10 PM - Andreas Miiller
- Related to feature request #9596: Open issues for TypeDesignationWorkingSet added

#35 - 05/05/2021 10:35 AM - Andreas Kohlbecker
- Tags changed from caryophyllales to caryophyllales, type designation

#36 - 03/11/2022 11:28 AM - Andreas Miiller
- Related to bug #9967: Show "not designated" for type designations in dataportal added

#37 - 03/13/2024 04:59 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Andreas Miller

- Target version changed from Release 5.46 to Release 5.43

Check if this is still needed with #10322, #461 and related tickets.
https://dev.e-taxonomy.eu/redmine/issues/10322
https://dev.e-taxonomy.eu/redmine/issues/461
http://www.tcpdf.org

